
/***********************************************************
  文件名：04_tiltSwitch.ino
  描述：倾斜开关控制led灯的亮与灭。
  作者：chenzhiqiang
  日期：2022.11.2
***********************************************************/

int ledpin = 6; //定义数字6引脚为LED灯的引脚
int tiltSwitchpin = 4; //设置数字4引脚为倾斜开关的引脚
int val;             //定义变量值
void setup()
{
  Serial.begin(9600);//设置串口波特率
  pinMode(ledpin, OUTPUT);//设置数字6口模式，OUTPUT为输出
  pinMode(tiltSwitchpin, INPUT); //设置数字4口模式，INPUT为输入
}

void loop()
{
  val = digitalRead(tiltSwitchpin); //读取数字4口值分配给 val
  Serial.println(val);//串口打印读取val的值
  if (val == LOW)                //检测倾斜开关是否连通，连通输出低电平（0）
  {
    digitalWrite(ledpin, HIGH); //输出高电平，LED 亮起
  }
  else                           //检测倾斜开关是否断开，断开输出高电平（1）
  {
    digitalWrite(ledpin, LOW); //输出低电平，LED 熄灭
  }
}
